[arch-commits] Commit in texlive-langgreek/repos (extra-i686 extra-i686/PKGBUILD)

François Charette francois at archlinux.org
Tue May 12 16:04:34 EDT 2009


    Date: Tuesday, May 12, 2009 @ 16:04:34
  Author: francois
Revision: 39147

Merged revisions 18927,27148,39146 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/texlive-langgreek/trunk

........
  r18927 | francois | 2008-11-11 08:34:21 +0100 (Tue, 11 Nov 2008) | 1 line
  
  changed $startdir
........
  r27148 | francois | 2009-02-16 13:33:56 +0100 (Mon, 16 Feb 2009) | 1 line
  
  renamed locally provided sources for texlive
........
  r39146 | francois | 2009-05-12 22:03:10 +0200 (Tue, 12 May 2009) | 1 line
  
  upgpkg: texlive-langgreek 2008.12184-1
........

Modified:
  texlive-langgreek/repos/extra-i686/	(properties)
  texlive-langgreek/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)


Property changes on: texlive-langgreek/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /texlive-langgreek/trunk:1-12231
   + /texlive-langgreek/trunk:1-39146

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-12 20:03:10 UTC (rev 39146)
+++ extra-i686/PKGBUILD	2009-05-12 20:04:34 UTC (rev 39147)
@@ -1,7 +1,7 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-langgreek
-pkgver=2008.9915
+pkgver=2008.12184
 pkgrel=1
 pkgdesc="TeX Live - Fonts and support for typesetting Greek"
 license=('GPL')
@@ -10,16 +10,20 @@
 makedepends=('lzma-utils')
 groups=('texlive-lang')
 url='http://tug.org/texlive/'
-source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-src.zip")
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
 install=texlive.install
 md5sums=('55d1fe0385b3ef592a9a861276fdc11b')
 
 build() {
-   cd $startdir/src
+   cd $srcdir
+   install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
+   sed -i '/^#/d' CONTENTS || return 1
+   _revnr=`echo $pkgver | sed 's/2008\.//'`
+   install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
    for p in *.tar.lzma; do 
 	   lzma --force -dc $p | tar xf - || return 1
    done
-   install -m755 -d $startdir/pkg/usr/share || return 1
-   find texmf* -type d -exec install -d -m755 $startdir/pkg/usr/share/'{}' \; || exit 1
-   find texmf* -type f -exec install -m644 '{}' $startdir/pkg/usr/share/'{}' \; || exit 1
+   install -m755 -d $pkgdir/usr/share || return 1
+   find texmf* -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \; || exit 1
+   find texmf* -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \; || exit 1
 }



More information about the arch-commits mailing list